function [options_, oo_]=set_ms_estimation_file(options_, oo_)
%function set_ms_estimation_file()
% Set options_.ms.free_param_file based on user input
%
% INPUTS
%    options_:    (struct)    options
%    oo_:         (struct)    results
%
% OUTPUTS
%    options_:    (struct)    options
%    oo_:         (struct)    results
%
% SPECIAL REQUIREMENTS
%    none

% Copyright (C) 2011 Dynare Team
%
% This file is part of Dynare.
%
% Dynare is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% Dynare is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with Dynare.  If not, see <http://www.gnu.org/licenses/>.

if ~isfield(options_.ms, 'estimation_file_tag')
    options_.ms.estimation_file_tag = options_.ms.file_tag;
end
options_.ms.free_param_file = ['est_free_' options_.ms.estimation_file_tag '.out'];

if ~exist(options_.ms.free_param_file,'file')
    error(['ERROR: Could not find free parameter file: ' options_.ms.free_param_file]);
end

oo_.ms.maxparams = load(options_.ms.free_param_file);
oo_.ms.maxparams = oo_.ms.maxparams(3:end)';
end
